package body MSHTML.DispSVGScriptElement_Object is

   procedure Put_type
     (This : DispSVGScriptElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGScriptElement_Put_type,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_type;

   function Get_type
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_type);
   end Get_type;

   procedure Put_xmlbase
     (This : DispSVGScriptElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGScriptElement_Put_xmlbase,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlbase;

   function Get_xmlbase
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_xmlbase);
   end Get_xmlbase;

   procedure PutRef_ownerSVGElement
     (This : DispSVGScriptElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGScriptElement_PutRef_ownerSVGElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_ownerSVGElement;

   function Get_ownerSVGElement
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_ownerSVGElement);
   end Get_ownerSVGElement;

   procedure PutRef_viewportElement
     (This : DispSVGScriptElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGScriptElement_PutRef_viewportElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_viewportElement;

   function Get_viewportElement
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_viewportElement);
   end Get_viewportElement;

   procedure PutRef_focusable
     (This : DispSVGScriptElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGScriptElement_PutRef_focusable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_focusable;

   function Get_focusable
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_focusable);
   end Get_focusable;

   function Get_href
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_href);
   end Get_href;

   function Get_externalResourcesRequired
     (This : DispSVGScriptElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGScriptElement_Get_externalResourcesRequired);
   end Get_externalResourcesRequired;

end MSHTML.DispSVGScriptElement_Object;

